
Foreman - Bug #6747

Parameters textarea automatic resizing

07/23/2014 03:48 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1609

  

Description

When viewing the edit page for a host or a hostgroup, on the Parameters tab, the height of a parameter value would be calculated by

the number of newline characters in it, or by default, be set to 1.

To make values easier to read, they should be automatically resized to expand to their entire content (up to a maximum of 100

pixels) when the Parameters tab is clicked.

Related issues:

Related to Foreman - Bug #7056: Partition table field is very small after sel... Closed 08/13/2014

Associated revisions

Revision 8d73396b - 07/23/2014 03:49 AM - sidkhemka 

Fixes #6747 - Add textarea automatic resizing

History

#1 - 07/23/2014 03:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1609 added

- Pull request deleted ()

#2 - 07/23/2014 03:54 AM - Dominic Cleal

- Category set to Web Interface

#3 - 07/23/2014 03:57 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 07/23/2014 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8d73396b2cb71f8a83f8fd140a138e9cadea9925.

#5 - 08/13/2014 04:22 AM - Dominic Cleal

- Related to Bug #7056: Partition table field is very small after selecting parameters tab added
